External monitors does not work anymore 4.15.0-44

Bug #1813663 reported by Jonas Karlsson on 2019-01-28
742
This bug affects 152 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Bionic
High
Unassigned

Bug Description

I am using a docking station for my laptop. After install the 4.15.0-44 update my external monitors goes undetected after logging in or having the laptop closed.

I am on 18.04.1 LTS with Intel® HD Graphics 620 (Kaby Lake GT2) Graphics.

Going back to the 4.15.0-43 version makes it all work fine again.
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jonas 2407 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
HibernationDevice: RESUME=UUID=80397b76-2ded-4f7d-adbf-dfdface8e2d4
InstallationDate: Installed on 2018-10-17 (103 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: LENOVO 20HF004MMX
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-44-generic root=UUID=64cf1582-d574-4e2f-a40a-7942c40caf5d ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-44.47-generic 4.15.18
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-44-generic N/A
 linux-backports-modules-4.15.0-44-generic N/A
 linux-firmware 1.173.3
Tags: bionic
Uname: Linux 4.15.0-44-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip docker kvm lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 09/14/2018
dmi.bios.vendor: LENOVO
dmi.bios.version: N1WET51W (1.30 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20HF004MMX
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN1WET51W(1.30):bd09/14/2018:svnLENOVO:pn20HF004MMX:pvrThinkPadT470s:rvnLENOVO:rn20HF004MMX:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad T470s
dmi.product.name: 20HF004MMX
dmi.product.version: ThinkPad T470s
dmi.sys.vendor: LENOVO

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1813663/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1813663

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Kai-Heng Feng (kaihengfeng) wrote :

Please test this kernel:
https://people.canonical.com/~khfeng/lp1813663/

This commit is reverted in the test kernel:
"drm/i915/dp: Send DPCD ON for MST before phy_up"

apport information

tags: added: apport-collected bionic
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jonas Karlsson (lnxjonasx) wrote :

I followed the instructions in post #3 and it seems to have solved the issue!

DU (forks) wrote :

External monitors stopped working for me with a docking station as well come to find out today, Linux Mint 19.

Kernel was 4.15.0-44

Trying an upgrade to 4.18.0-14-generic has fixed the issue. Seems to be running smoothly so far on the upgraded Kernel.

Stéphane Guillard (sg2) wrote :

See bug 1813745: Kai-Heng provided a 4.15.0-45 test kernel which fixes the issue.

Stefan Bader (smb) on 2019-01-29
Changed in linux (Ubuntu Bionic):
importance: Undecided → High
status: New → In Progress
Stefan Bader (smb) on 2019-01-29
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Marc Peña (pachulo) wrote :

Using the kernel in https://people.canonical.com/~khfeng/lp1813663/ works for me too.
I'm on a Dell XPS 9360 + TB16 dock

Ryan Budney (delooper) wrote :

Do we know the full extent of this bug? I reverted to kernel 4.15.0-43, which resolved the issue on my tablet. But I noticed my desktop having some trouble this morning (weird file copy errors, reporting my printer was not accepting jobs and some unusual wifi cut-offs). I'll switch back to 4.15.0-43 on my desktop as well to see if that solves the problem there.

Deon Rodden (glitch-m) wrote :

I can confirm I'm having the same problem with a Dell Precision 5510 laptop. I have traced the problem to the startup item "/usr/lib/x86_64-linux-gnu/cinnamon-settings-daemon/csd-xrandr" it seems xrandr is freezing the system when it boots up connected to a Thunderbolt 3 Dock.

If I disable that startup item, I can boot up while docked just fine, I just can't change my monitoring configuration around. If I boot up using the 4.15.0-43-generic kernel, that startup option works just fine and everything works.

Somehow linux-image-4.15.0-44-generic has changed how the video card works with Dell laptops and Thunderbolt 3 docks; as soon as xrandr tries to fully initialize the graphics cards everything freezes up.

Deon Rodden (glitch-m) wrote :

I apologize for the post, should have done some reading on the comments first. The 4.15.0-45-generic kernel linked to in the 3rd post does indeed solve my issue, so it looks like they are aware of exactly what caused this issue and it'll be fixed in future kernel updates. It's interesting it only seems to affect Dell laptops and docking stations though, maybe Dell has done something weird/proprietary again.

Leighton (tonny-747) on 2019-01-30
Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Leighton (tonny-747) wrote :

Woops, didn't mean to change the status. Can someone change it back, I am not able to. (Am surprised I could in the first place)

Ryan Budney (delooper) wrote :

I believe it's supposed to say Fix Committed, not Fix Released. The change was a mistake -- see down in the thread.

Hi. It seems not only Dell laptops have been affected.

I'm using Lenovo ThinkPad X280 with Lenovo USB-C dock and this bug affects me. But the steps I reproduce the bug is different.

For the reproduce steps on Lenovo ThinkPad X280, please
refer to bug #1813763 (marked duplicated)
                  ^
Thanks.

Jan (mail-ubuntu-x) wrote :

I'm affected with this issue on a Thinkpad T460P. My problem is slightly different, though. I boot up my laptop while it is already docked, two external screens are connected to the docking station. The display manager initializes all three screens (laptop + both external screens) and LXDE/Openbox combines them into one virtual desktop over all three screens. When I try to switch off the laptop's screen via the command

xrandr --output eDP-1 --off --output HDMI-3 --off --output HDMI-2 --off --output HDMI-1 --off --output DP-3-1 --mode 1920x1080 --pos 1920x0 --rotate normal --output DP-3-3 --off --output DP-3-2 --primary --mode 1920x1080 --pos 0x0 --rotate normal --output DP-3 --off --output DP-2 --off --output DP-1 --off

the system freezes and I see the exact same stacktrace in my syslog as posted in the duplicate issues #1813763 and #1813831.
Reverting to 4.15.0-43-generic fixes the problem for me.

Changed in linux (Ubuntu Bionic):
status: Fix Released → Fix Committed
Konrad Klimczak (klimeck) wrote :

I also have this problem on my ThinkPad T470p with Pro Dock 40A1.

When I power on my laptop with connected dock, it's fine. I can log in and work smoothly. The problem occurs when I lock my screen. Computer freeze and I can do nothing. Only reset is a solution.

I attached logs before a reset.

As stated in bug 1813831 thread, the issue is related to a change in the
graphic driver's DPMS sequence. It was introduced in 4.15.0-44, and
reverted in 4.15.0-45 made available for testing in the other bug's thread.

Meaning that it's not related to thunderbolt docks, nor docks at all,
but to the display driver initializing the screen(s) through DPMS. My
Dell 9370 shows the issue on each boot with -44  even when not connected
to any external peripheral / dock / display, just with its internal screen.

The issue is totally gone with -45.

The DPMS change revert was already committed to upstream kernel patch train.

M W (matthiaswenskus) wrote :

Sorry, my status change was an accident. I didn't thought that i has permission to change it as fixed and now i have no permission to reset it :/

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Bionic):
status: Fix Committed → Confirmed
Adrien (adrien-lecharpentier) wrote :

I can confirm that patches from post 3 solve the problem. Thank you!

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Ilya Brik (ibrik) wrote :

I didn't manage to find a new kernel in the proposed updates list :(

Tomas Jonsson (tomas-jonsson) wrote :

I've been running with the updated kernel for approx 24 hours now and everything seems fine again.

Andreas Symeou (asymus) wrote :

Hi,

This bug affects various HP laptops as well on the latest 4.15.0-44 kernel(EliteBook 745 G5, EliteBook 850 G2, Elitebook 840 G5 verified) using the HP 2013 UltraSlim Docking station.
Updating to Kernel 4.15.0-45 fixed this (link below).
https://people.canonical.com/~khfeng/lp1813663/

Stéphane Guillard (sg2) wrote :

I've changed the tag 'verification-needed-bionic' to 'verification-done-bionic'.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Eva Sokol (evasokol) wrote :

I have the same problem on AsusPro with Asus SimPro Dock-1A, plan to try the fix a bit later.

japh44 (adewes) wrote :

I'm also affected by this bug on a T460p, I've attached the syslog entry from the crashes. It happens when the laptop is inactive and the display gets switched off. Please let me know if I can assist further in debugging this. Here's my uname:

Linux 44 4.15.0-44-generic #47-Ubuntu SMP Mon Jan 14 11:26:59 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Marco Gaiarin (marcogaio) wrote :

I'm hitting this bug too, using a Lenovo Thinkpad T470s (20HF0047IX); i'm using a docking, but also without the pc boot but i get black screen.

I'm using 'signed' kernel, can i safely install the (unsigned) test 4.15.0-45 kernel?

Kernel -43 works as expected.

Bow8o iPh3I (de4hip) wrote :

TP T450s with docking station and external monitor

The kernel from proposed-list fixed this for me.

Jérôme Steunou (jsteunou) wrote :

I have the same issue with a Dell Vostro & business dock WD15

4.15.0-43 works well, I saved that choice on GRUB to be safe.

Dell Vostro
Intel® Core™ i5-8250U CPU @ 1.60GHz × 8
Intel® UHD Graphics 620 (Kabylake GT2)

Grzegorz Korba (wirone) wrote :

I had the same issue on Dell Latitude E5570, reverted to 4.15.0-43-generic just now. Didn't try v45 yet, since it's unofficial and not signed, AFAIS. Looking forward for an actual fix.

Will Carroll (will.carroll7) wrote :

Confirmed same issue on Thinkpad T480 with docking station. One external monitor over HDMI 1440p @ 60Hz. Issue also occurs occasionally upon resuming from suspend with no external monitors attached. Occurs every time with monitor attached on boot, resume, screen lock, or display sleep.

juliobahar (yahalla-julio) wrote :

Yes I do have the same issue. using a Lenovo B50-80, started just after the last recent update to:

Linux lenovob50-80 4.15.0-44-generic #47-Ubuntu SMP Mon Jan 14 11:26:59 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

on a docking station closed lid, used to work fine now I have to keep the lid open. and if the lid is closed the PC freezes and would have to hard restart it.

Brad Johnson (bradjohnsonkink) wrote :

Seeing this with a Lenovo T480. Laptop display + USB-C dock with a DisplayPort and HDMI out. No issues with the HDMI connection, but the DisplayPort connection is where I was having issues. If the system detected the Display Port monitor it came in as a disabled monitor. If I enabled it, then all screens would go blank and I would have to force the laptop off to recover. Currently booting back into 4.15.0-43 without issue.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
importance: Undecided → High
tags: added: regression-update
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Bionic):
status: Confirmed → Fix Committed
Christian Hansen (skjoedt) wrote :

I installed 4.15.0-45 using

sudo apt install linux-image-4.15.0-45-generic/bionic-proposed linux-headers-4.15.0-45/bionic-proposed linux-cloud-tools-4.15.0-45-generic/bionic-proposed

After rebooting into the proposed kernel, displaying and moving windows is very chubby and ubuntu does not find my external monitor. I had to revert back immediately.

Kai-Heng Feng (kaihengfeng) wrote :

linux-modules and linux-modules-extra are also required.

I have the almost same issue with my Dell latitude E5520 plugged into the dock station WD15. This issue occurred after the latest linux kernel upgrade (to 4.15.044.46).
At startup all my screen are correctly initialized. But when my computer enter in power-save mode (i.e screen become black after a while), my laptop is not responding anymore. I need to restart it. Notice that the "magic keys" works : the sequence alt+sys+[s,u,b] restart the computer.

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released

Sorry I inauspiciously change the bug status... Fix Committed → Fix Released, I don't know how to revert to Fix Released → Fix Committed ...

Egor Kobylkin (egor-kobylkin) wrote :

My workaround was to ban the 4.15.0-44 from the system.
sudo apt-mark hold linux-*-4.15.0-44-generic
sudo apt remove linux-*-4.15.0-44-generic

Changed in linux (Ubuntu Bionic):
status: Fix Released → Fix Committed
Stéphane Guillard (sg2) wrote :

I've been offered a signed 4.15.0-45 kernel through software update.
This one also breaks boot, same as 4.15.0-44.

Only Kai's unsigned 4.15.0-45 test kernels boots OK.

Marius Nettum (nettum) wrote :

I just got 4.15.0-45 update from software updater.
After rebooting the system I can connect my laptop to the docking and the 2 external monitors are working again (laptop lid closed). I did only connect the docking after reboot. Have not tested with the docking attached at boot yet.

uname -a -> "4.15.0-45-generic".

Laptop is Dell XPS 15" 9570, docking with TB16 and 2 external monitors.
I'm using the Intel driver.

Nic (nicwortel) wrote :

My Dell Latitude E7470 was affected as well. When connected with my external monitor, Ubuntu would freeze on startup after entering my full disk encryption password, showing the dark-purple screen with a mouse indicator that would not move. When locking my screen, it would simply stay black.

The update to 4.15.0-45 seems to have solved the problem.

Corben (tobias-krummen) wrote :

I can confirm it's fixed on my surface pro 3 with the newly released kernel:

apt policy linux-generic
linux-generic:
  Installiert: 4.15.0.45.47
  Installationskandidat: 4.15.0.45.47
  Versionstabelle:
 *** 4.15.0.45.47 500
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     4.15.0.44.46 500
        500 http://de.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
     4.15.0.20.23 500
        500 http://de.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

I booted with attached docking station (which has 2 monitors attached), and I can login without issues.

MaskedDriver (maskeddriver) wrote :

My Latitude 5829 when connected to a Dell DS1000 docking stand is now working fine as well with 4.15.0-45.

Thank you for the quick turnaround on this!

apt policy linux-generic
linux-generic:
  Installed: 4.15.0.45.47
  Candidate: 4.15.0.45.47
  Version table:
 *** 4.15.0.45.47 500
        500 http://ca.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     4.15.0.20.23 500
        500 http://ca.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: julian 2434 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
HibernationDevice: RESUME=UUID=4c0c7f16-e612-40e9-b59c-ada90078f2c4
InstallationDate: Installed on 2019-01-16 (15 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: Dell Inc. Inspiron 5559
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic root=UUID=e82a3c68-5dea-4d0d-9b05-e7d8b53a7cb4 ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-45-generic N/A
 linux-backports-modules-4.15.0-45-generic N/A
 linux-firmware 1.173.3
Tags: bionic
Uname: Linux 4.15.0-45-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip docker lpadmin plugdev sambashare sudo wireshark
_MarkForUpload: True
dmi.bios.date: 11/20/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.1.3
dmi.board.name: 0K64R6
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.1.3:bd11/20/2015:svnDellInc.:pnInspiron5559:pvr:rvnDellInc.:rn0K64R6:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Inspiron 5559
dmi.sys.vendor: Dell Inc.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Julian Paredes (jparedes) wrote :

Updated to 4.15.0-45 and hdmi output still doesn't work :(

I'm on a Dell Inspiron 5559

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07)

Works for me on Lenovo T470s on 4.15.0-45.

Thanks for quick fix!

Julian Paredes (jparedes) wrote :

After properly powering off everything (not shut reboot or turn on/off monitor) now i can confirm it works.

4.15.0-45 on Dell Inspiron 5559

Dave Chiluk (chiluk) wrote :

Yah @jparedes you should probably open a different bug. You are running into something different.

I've also verified that this is now fixed.

Gene Olson (linutic) on 2019-01-31
Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Daniel van Vugt (vanvugt) wrote :

linux (4.15.0-45.48) bionic; urgency=medium

  * linux: 4.15.0-45.48 -proposed tracker (LP: #1813779)

  * External monitors does not work anymore 4.15.0-44 (LP: #1813663)
    - SAUCE: Revert "drm/i915/dp: Send DPCD ON for MST before phy_up"

  * kernel 4.15.0-44 cannot mount ext4 fs with meta_bg enabled (LP: #1813727)
    - ext4: fix false negatives *and* false positives in ext4_check_descriptors()

 -- Stefan Bader <email address hidden> Tue, 29 Jan 2019 16:39:15 +0100

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
YvesDelannoy (yves-delannoy) wrote :

I confirm that the newly proposed kernel (4.15.0-45-generic) solves the problem for me too (Dell latitude 5480+WD15 Dock). This closes the bug 1814117, marked as duplicate of this one.

That new kernel is now released in the standard ubuntu repository. Thanks a lot!

Jimmy Merrild Krag (beruic) wrote :

I just got the 4.15.0-45 kernel through normal updates.

Am I the only one who sees it as problematic that when updating to 4.15.0-45, it marks both 4.15.0-43 and 4.15.0-44 for auto removal?

Of course 44 should go, because it's problematic, but what if someone ends up without a prior kernel to boot in case of trouble with 45?

Marco Gaiarin (marcogaio) wrote :

Meetoo. My Lenovo Thinkpad T470s (20HF0047IX) with '45' kernel works as expected.

Thanks!

GRG (g-cambarrat) wrote :

Hi I had the same behavior and the installation of the 45 solve the issue for me and my colleague.

Many thanks.

Tim Serowski (palmino) wrote :

The problem still persists for me with Kernel 4.18.0-15-generic on Ubuntu 18.10.

I'm using a Lenovo Thinkpad T480 with a Nvidia MX150 and/or integrated Intel® HD Graphics 620.

d t (thetufik) wrote :

I have this issue, but with kernel 45, I had to revert back to 44. With Dell Vostro 15 7580 and Nvidia GTX 1060.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers